# Uses of Package
com.sun.mail.iap

- Packages that use com.sun.mail.iap
  Package | Description
  --- | ---
  com.sun.mail.gimap | An EXPERIMENTAL IMAP protocol provider that supports the Gmail-specific IMAP protocol extensions .
  com.sun.mail.gimap.protocol |
  com.sun.mail.iap |
  com.sun.mail.imap | An IMAP protocol provider for the JavaMail API that provides access to an IMAP message store.
  com.sun.mail.imap.protocol |

- Classes in com.sun.mail.iap used by com.sun.mail.gimap
  Class and Description
  ProtocolException
  ResponseHandler This class

- Classes in com.sun.mail.iap used by com.sun.mail.gimap.protocol
  Class and Description
  Argument
  Protocol General protocol handling code for IMAP-like protocols.
  ProtocolException

- Classes in com.sun.mail.iap used by com.sun.mail.iap
  Class and Description
  Argument
  ByteArray A simple wrapper around a byte array, with a start position and count of bytes.
  Literal An interface for objects that provide data dynamically for use in a literal protocol element.
  Protocol General protocol handling code for IMAP-like protocols.
  ProtocolException
  Response This class represents a response obtained from the input stream of an IMAP server.
  ResponseHandler This class
  ResponseInputStream Inputstream that is used to read a Response.

- Classes in com.sun.mail.iap used by com.sun.mail.imap
  Class and Description
  ConnectionException
  ProtocolException
  Response This class represents a response obtained from the input stream of an IMAP server.
  ResponseHandler This class

- Classes in com.sun.mail.iap used by com.sun.mail.imap.protocol
  Class and Description
  Argument
  ByteArray A simple wrapper around a byte array, with a start position and count of bytes.
  Literal An interface for objects that provide data dynamically for use in a literal protocol element.
  ParsingException
  Protocol General protocol handling code for IMAP-like protocols.
  ProtocolException
  Response This class represents a response obtained from the input stream of an IMAP server.

Copyright © 2016 Oracle. All rights reserved.